org.apache.lucene.queries.function.valuesource

## Class FieldCacheSource

- java.lang.Object
- - org.apache.lucene.queries.function.ValueSource
  - - org.apache.lucene.queries.function.valuesource.FieldCacheSource

Direct Known Subclasses:
  BytesRefFieldSource, DoubleFieldSource, EnumFieldSource, FloatFieldSource, IntFieldSource, JoinDocFreqValueSource, LongFieldSource, SortedSetFieldSource

    public abstract class FieldCacheSource
    extends ValueSource

A base class for ValueSource implementations that retrieve values for a single field from DocValues.

### Field Summary

Fields
`protected String` `field`

### Constructor Summary

Constructors
Constructor and Description
`FieldCacheSource(String field)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `description()` description of field, used in explain()
`boolean` `equals(Object o)`
`String` `getField()`
`int` `hashCode()`

### Methods inherited from class org.apache.lucene.queries.function.ValueSource

`asDoubleValuesSource, asLongValuesSource, createWeight, fromDoubleValuesSource, getSortField, getValues, newContext, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### field

    protected final String field

### Constructor Detail

#### FieldCacheSource

    public FieldCacheSource(String field)

### Method Detail

#### getField

    public String getField()

#### description

    public String description()

Description copied from class: `ValueSource`
description of field, used in explain()

Specified by:
  `description` in class `ValueSource`

#### equals

    public boolean equals(Object o)

Specified by:
  `equals` in class `ValueSource`

#### hashCode

    public int hashCode()

Specified by:
  `hashCode` in class `ValueSource`